Loading...
Searching...
No Matches
gtsam::internal::ScalarTraits< Scalar > Struct Template Reference

## Detailed Description

template<typename Scalar>
struct gtsam::internal::ScalarTraits< Scalar >

A helper that implements the traits interface for scalar vector spaces.

Usage: template<> struct traits<Type> : public ScalarTraits<Type> { };

Inheritance diagram for gtsam::internal::ScalarTraits< Scalar >:

## Manifold

enum | { dimension = 1 }
typedef Scalar | ManifoldType
typedef Eigen::Matrix< double, 1, 1 > | TangentVector
typedef OptionalJacobian< 1, 1 > | ChartJacobian
static TangentVector | Local (Scalar origin, Scalar other, ChartJacobian H1=boost::none, ChartJacobian H2=boost::none)
static Scalar | Retract (Scalar origin, const TangentVector &v, ChartJacobian H1=boost::none, ChartJacobian H2=boost::none)

## Group

typedef additive_group_tag | group_flavor
static Scalar | Identity ()

## Static Public Member Functions

Testable
static void | Print (Scalar m, const std::string &str="")
static bool | Equals (Scalar v1, Scalar v2, double tol=1e-8)
Lie Group
static TangentVector | Logmap (Scalar m, ChartJacobian H=boost::none)
static Scalar | Expmap (const TangentVector &v, ChartJacobian H=boost::none)
Static Public Member Functions inherited from gtsam::internal::VectorSpaceImpl< Scalar, 1 >
static TangentVector | Logmap (const Scalar &m, ChartJacobian Hm=boost::none)
static Scalar | Expmap (const TangentVector &v, ChartJacobian Hv=boost::none)
static Scalar | Compose (const Scalar &v1, const Scalar &v2, ChartJacobian H1=boost::none, ChartJacobian H2=boost::none)
static Scalar | Between (const Scalar &v1, const Scalar &v2, ChartJacobian H1=boost::none, ChartJacobian H2=boost::none)
static Scalar | Inverse (const Scalar &v, ChartJacobian H=boost::none)
static int | GetDimension (const Scalar &)
static TangentVector | Local (const Scalar &origin, const Scalar &other, ChartJacobian H1=boost::none, ChartJacobian H2=boost::none)
static Scalar | Retract (const Scalar &origin, const TangentVector &v, ChartJacobian H1=boost::none, ChartJacobian H2=boost::none)

## Public Types

typedef vector_space_tag | structure_category
typedef Eigen::Matrix< double, N, 1 > | TangentVector
typedef OptionalJacobian< N, N > | ChartJacobian
typedef Eigen::Matrix< double, N, N > | Jacobian

The documentation for this struct was generated from the following file:

- /build/gtsam-gchP9J/gtsam-4.2.2+dfsg/gtsam/base/VectorSpace.h